Bug 470151 - poweroff fails
poweroff fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 18:29 EST by Need Real Name
Modified: 2014-06-18 04:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-11-05 18:29:40 EST
I have no idea how to report this.

Twice now I have run long-running-command && poweroff from a console while the screensaver is running, and come back to fine shutdown failed. After a lot of three fingered salutes, the machine reboots. I leave the room to get a coffee.

I come back and see my gnome desktop: I am already logged in.

So two problems: shutdown fails, and then the next boot I get autologin.
Comment 1 Daniel Malmgren 2008-11-06 02:10:32 EST
Hmmm... So you try to shutdown the computer and instead of shutting down it reboots, right? When the shutdown fails, do you get any error messages that could be worth reporting?

And autologin is normally disabled? Sounds to me like something strange is happening with gdm (assuming you are using gdm).
Comment 2 Need Real Name 2008-11-06 02:48:14 EST
Instead of shutting down it starts to shut down then gets stuck. I have to keep ctrl+lt+deleting to get it to continue. I will get you info on where it gets stuck.

autologin is always disabled.
Comment 3 Need Real Name 2008-11-12 16:58:23 EST
Let's just concentrate on the first problem (which I can reproduce).

poweroff gets stuck. Will post more next time it happens.
Comment 4 Daniel Malmgren 2008-11-13 04:24:17 EST
Ok.
Just to make sure this bug is correctly categorized; you do use initng right?
Comment 5 Need Real Name 2008-11-13 12:48:46 EST
Ah, no. Apparently not. Well, init-rg is not installed anyway.

I've installed it now, should I do anything else?
Comment 6 Daniel Malmgren 2008-11-13 13:32:52 EST
I didn't mean that you should install initng. I simply meant that if you haven't been using initng (which is a alternative to sysvinit or upstart, the systems that starts up your system) the bug is miscategorized. I don't really know where to put it, I'll try with upstart...
Comment 7 Casey Dahlin 2008-11-13 13:55:05 EST
Could be upstart. What does the console say when it gets stuck?
Comment 8 Need Real Name 2008-11-13 14:18:44 EST
Nothing useful. X quits, then I see the console saying something like "system going down for poweroff now!". If I continuously ctrl+alt+del I finally get it to shutdown.

I'll try and get the name of the service it gets stuck on, but I'm not sure that will help - what will?
Comment 9 Bug Zapper 2008-11-25 23:50:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-18 03:46:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:45:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.